AnsweredAssumed Answered

Macro - create model window from open drawing

Question asked by Arthur McRae on Jan 22, 2020
Latest reply on Jan 28, 2020 by Arthur McRae

Purpose:

  • Save open Drawing file as PDF (complete)
  • Show user list of "open" referenced documents (complete)
  • Have user select from list on userform (complete)
  • Switch to (or create) model window of selected document.
  • Save Selected document as eDrawing (complete) 

So the only Open file or Document window I have open is my drawing.  I have tried using the swApp.OpenDoc6 call as shown in the numerous Open file macros on the forum.  However I get the following error:
swFileLoadError_e Enumeration

swFileWithSameTitleAlreadyOpen65536 or 0x10000 = A document with the same name is already open

 

When I call swFrame.GetModelWindowCount I am informed that I only have 1 model window active.

 

So my question is this: How do I get a new model window for a file that is referenced by an open document?

 

Thanks in advance for all your head scratching.

Outcomes